import { createRouter, createWebHistory } from 'vue-router'
import ContainerList from '../components/ContainerList.vue'
import ContainerDetails from '../components/ContainerDetails.vue'
import LogsView from '../components/LogsView.vue'

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      name: 'containers',
      component: ContainerList
    },
    {
      path: '/containers/:id',
      name: 'container-details',
      component: ContainerDetails
    },
    {
      path: '/logs',
      name: 'logs',
      component: LogsView
    }
  ]
})

export default router 